Create a legal-entity application
For PES registered-agent customers, the principal office is set to the PES registered office from the provider record, including when PES is selected by permit number.
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.
Personal standard API key. Send it as Authorization: Bearer sk-... and never delegate it.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/legal_entity_applications" \ -H "Content-Type: application/json" \ -d '{ "applicationData": { "residencyType": "e-Resident", "entityType": "llc", "name": "string", "extension": "LLC", "principalOffice": { "line1": "string", "city": "string", "postalCode": "string", "country": "string" }, "contactEmail": "user@example.com", "registeredAgentProvider": "prospera_employment_solutions", "registeredAgentDetails": { "attn": "string", "residentPermitNumber": "string", "officeAddress": { "line1": "string", "city": "string", "postalCode": "string", "country": "string" }, "mailingAddress": { "line1": "string", "city": "string", "postalCode": "string", "country": "string" } } } }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "statusId": "Draft", "applicationData": null, "applicationVersion": "string", "submittedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "approvedAt": "2019-08-24T14:15:22Z", "rejectedAt": "2019-08-24T14:15:22Z", "legalEntityId": "41192155-f2be-4dd0-9ea4-e32ad94824f7" }, "nextSteps": { "signature": "http://example.com" }}List legal-entity applications GET
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.
Get a legal-entity application GET
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.